summaryrefslogtreecommitdiffstats
path: root/debian/update-libc.d
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:18:57 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:18:57 +0000
commita9cdccbffffdd2e58b5cc69683682517e892ea40 (patch)
tree5890cdcebde1069c9b7419d92476e52cc5525d6f /debian/update-libc.d
parentAdding upstream version 3.7.10. (diff)
downloadpostfix-9b8411a74521b511e338d77c33a4a7f490bcdaf4.tar.xz
postfix-9b8411a74521b511e338d77c33a4a7f490bcdaf4.zip
Adding debian version 3.7.10-0+deb12u1.debian/3.7.10-0+deb12u1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/update-libc.d')
-rw-r--r--debian/update-libc.d13
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/update-libc.d b/debian/update-libc.d
new file mode 100644
index 0000000..84e954b
--- /dev/null
+++ b/debian/update-libc.d
@@ -0,0 +1,13 @@
+#!/bin/sh -e
+
+# we only need to copy this in if the service is already running.
+# if it's not running, it'll get picked up by the init script on start.
+/usr/sbin/service postfix status >/dev/null 2>&1 || exit 0
+
+QUEUEDIR="$(/usr/sbin/postconf -hx queue_directory 2>/dev/null || true)"
+if [ -n "$QUEUEDIR" ]; then
+ cp /etc/resolv.conf "${QUEUEDIR}/etc/resolv.conf"
+ /usr/sbin/service postfix reload >/dev/null 2>&1 || exit 0
+fi
+
+exit 0